import { Modal, ModalService } from '@zeedhi/common';

export class ProductWithoutMovModalController {
  private productWithoutMovModal!: Modal;

  public async createProductWithoutMovModal() {
    this.productWithoutMovModal = await ModalService.createFromJson('/modals/productWithoutMovModal', true);
  }

  public destroyProductWithoutMovModal() {
    this.productWithoutMovModal?.destroy();
  }

  public openProductWithoutMovModal() {
    this.productWithoutMovModal.show();
  }

  public closeProductWithoutMovModal() {
    this.productWithoutMovModal.hide();
  }
}
